/Docs
Search docs or ask a question⌘K
DocsAgent
Changelog
API Reference Forgot Password

Forgot Password

Email a password reset link.

POST/v1/auth/forgot-passwordTry it

Emails a link to reset the password of the account with this address. The link is valid for one hour; use its token with Reset Password.

Note

Public. The response is the same whether or not an account uses the address, so it can't be used to find out who has an account.

Request Body

NameDescription
email:stringbodyRequired
The account's email address.

Errors

StatusCodeWhen
400validation_erroremail is missing or not an email address
Was this page helpful? Yes No
Request
cURLJavaScriptPythonGoRubyPHPJavaC#cURL
curl -X POST https://api.syntext.dev/v1/auth/forgot-password \
-H "Content-Type: application/json" \
-d '{ "email": "alex@example.com" }'
Responseapplication/json
200OK
{
"data": { "sent": true }
}
Product
Resources
Company
© 2026 SyntextBuilt with Syntext